Skip to main content
`Ctrl`+`K`

# SNESFASSetLevels

Sets the number of levels to use with `SNESFAS`. Must be called before any other `SNESFAS` routine.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetLevels(SNES snes, PetscInt levels, MPI_Comm *comms)

## Input Parameters

- snes - the `SNES` context of `SNESType` `SNESFAS`

- levels - the number of levels

- comms - optional communicators for each level; this is to allow solving the coarser problems on smaller sets of processors.

## Note

If the number of levels is one then the solver uses the `-fas_levels` prefix for setting the level options rather than the `-fas_coarse` prefix.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASGetLevels()`

## Level

intermediate

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages